// An Instance object represents a single instance in a training or test set
class Instance {
    // An array of the attribute values for this instance.
    // Note that the order of elements in this array is determined by
    // the ordering of the attributes in the AttributeSet being used
    // for this machine learning problem.
    String[] values;

    public Instance(String[] values) {
        this.values = values;
    }

    public void print() {
        StringBuilder builder = new StringBuilder();
        for(String value: values )
            builder.append(value + ", ");
        // remove the final ", "
        builder.delete(builder.length()-2, builder.length());
        System.out.println( builder );
    }
}